[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'LResources' (#lcl)

# TLazObjectWriterString

Compiler version-specific alias for String values used in TLRSObjectWriter.

## Declaration

Source position: lresources.pp line 232

`type TLazObjectWriterString = String;`

## Description

TLazObjectWriterString is the type passed as an argument to the WriteString method in TLRSObjectWriter.

For FPC version 3.3.1 and later, it is an alias to the RawByteString type. For previous FPC versions, it is an alias to the String type.

## Version info

Added in LazUtils version 3.0.

## See also

TLRSObjectWriter.WriteString |  | Writes a string value using the format for the LRS object writer.